select decode(O.tipo_cobr, D.tipo_cobr, 'T', 'F') from im_setor O, (select * from im_setor where cod_set = :DCOD_SET) D 
where O.cod_set = :OCOD_SET 

select cod_set, tipo_cobr from im_setor 
SELECT * FROM B_CUSTEIO  where cod_custeio <> 1 
SELECT * FROM B_TRANSF_CUSTEIO for update



alter table B_TRANSF_CUSTEIO disable all triggers
/
declare 
cursor c1 is select * from B_CUSTEIO;
cursor c2(COD NUMBER) is select * from B_CUSTEIO where cod_custeio <> cod;
reg1 c1%Rowtype;
reg2 c2%Rowtype;
begin
   for reg1 in c1 loop
       for reg2 in c2(reg1.cod_custeio) loop 
            BEGIN
                insert into B_TRANSF_CUSTEIO (COD_CUSTEIO_ORIGEM, COD_CUSTEIO_DESTINO) values (reg1.cod_custeio, reg2.cod_custeio);           
            EXCEPTION 
               WHEN DUP_VAL_ON_INDEX THEN
                    NULL; 
               WHEN OTHERS THEN 
                    NULL;
            END;
       end loop;  
   end loop;
   commit;
end;
/
alter table B_TRANSF_CUSTEIO enable all triggers