select descricao, sum(quantidadeTITULAR) quantidadeTITULAR, sum(quantidadeDepFilho) quantidadeDepFilho,
      sum(quantidadeDepConj) quantidadeDepConj, sum(quantidadeOutros) quantidadeOutros, sum(quantidadeTITULAR + quantidadeDepFilho + quantidadeDepConj + quantidadeOutros) quantidadeTotal
  from(
    select count(h.COD_ESPM) quantidadeTITULAR, 0 quantidadeDepFilho, 0 quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consh h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'E' and h.cod_espm = e.cod_espm
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select count(h.COD_ESPM) quantidadeTITULAR, 0 quantidadeDepFilho, 0 quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consm h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'E' and h.cod_espm = e.cod_espm
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, count(h.COD_ESPM) quantidadeDepFilho, 0 quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consh h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT = 'FILHO'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, count(h.COD_ESPM) quantidadeDepFilho, 0 quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consm h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT = 'FILHO'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, 0 quantidadeDepFilho, count(h.COD_ESPM) quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consh h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT = 'CNJUGE'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, 0 quantidadeDepFilho, count(h.COD_ESPM) quantidadeDepConj, 0 quantidadeOutros, e.descricao from im_consm h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT = 'CNJUGE'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, 0 quantidadeDepFilho, count(h.COD_ESPM) quantidadeOutros, 0 quantidadeDepConj, e.descricao from im_consh h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT <> 'FILHO' and s.PARENT <> 'CNJUGE'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao
    union all
    select 0 quantidadeTITULAR, 0 quantidadeDepFilho, count(h.COD_ESPM) quantidadeOutros, 0 quantidadeDepConj, e.descricao from im_consm h, im_seg s, im_espm e
    where  h.cod_seg = s.cod_seg  and s.tipo = 'D' and h.cod_espm = e.cod_espm and s.PARENT <> 'FILHO' and s.PARENT <> 'CNJUGE'
    --and dt_cons between '01/01/2006' and '01/01/2006'
    group by e.descricao)
group by descricao
